/*
 * Copyright (c) 2016 by ELECTRONIC ASSEMBLY <technik@lcd-module.de>
 * MCP7940 library for arduino.
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of either the GNU General Public License version 2
 * or the GNU Lesser General Public License version 2.1, both as
 * published by the Free Software Foundation.
 */

#ifndef MCP7940_H
#define MCP7940_H

#define RTC_ADR (0xDE>>1)

typedef struct
{ 
  unsigned char hour;
  unsigned char min;
  unsigned char sec;
  unsigned char day;
  unsigned char month;
  unsigned int year;
  unsigned char dayofweek;
}RTCTIME;



class MCP7940
{
  private:
    char *str;		
  public:
    RTCTIME time;
    void  initialize  (char* str);
    void  getTime     (void);
    void  setTime     (RTCTIME *time);
    char *timestring  (void);
    char *timestring  (RTCTIME time);
    char *datestring  (void);
    char *datestring  (RTCTIME time);
};

#endif
